org.opencv.core

## Class Core

- java.lang.Object
- - org.opencv.core.Core

-     public class Core
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Core.MinMaxLocResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BadAlign`
    `static int` | `BadAlphaChannel`
    `static int` | `BadCallBack`
    `static int` | `BadCOI`
    `static int` | `BadDataPtr`
    `static int` | `BadDepth`
    `static int` | `BadImageSize`
    `static int` | `BadModelOrChSeq`
    `static int` | `BadNumChannel1U`
    `static int` | `BadNumChannels`
    `static int` | `BadOffset`
    `static int` | `BadOrder`
    `static int` | `BadOrigin`
    `static int` | `BadROISize`
    `static int` | `BadStep`
    `static int` | `BadTileSize`
    `static int` | `BORDER_CONSTANT`
    `static int` | `BORDER_DEFAULT`
    `static int` | `BORDER_ISOLATED`
    `static int` | `BORDER_REFLECT`
    `static int` | `BORDER_REFLECT_101`
    `static int` | `BORDER_REFLECT101`
    `static int` | `BORDER_REPLICATE`
    `static int` | `BORDER_TRANSPARENT`
    `static int` | `BORDER_WRAP`
    `static int` | `CMP_EQ`
    `static int` | `CMP_GE`
    `static int` | `CMP_GT`
    `static int` | `CMP_LE`
    `static int` | `CMP_LT`
    `static int` | `CMP_NE`
    `static int` | `COVAR_COLS`
    `static int` | `COVAR_NORMAL`
    `static int` | `COVAR_ROWS`
    `static int` | `COVAR_SCALE`
    `static int` | `COVAR_SCRAMBLED`
    `static int` | `COVAR_USE_AVG`
    `static int` | `DCT_INVERSE`
    `static int` | `DCT_ROWS`
    `static int` | `DECOMP_CHOLESKY`
    `static int` | `DECOMP_EIG`
    `static int` | `DECOMP_LU`
    `static int` | `DECOMP_NORMAL`
    `static int` | `DECOMP_QR`
    `static int` | `DECOMP_SVD`
    `static int` | `DFT_COMPLEX_INPUT`
    `static int` | `DFT_COMPLEX_OUTPUT`
    `static int` | `DFT_INVERSE`
    `static int` | `DFT_REAL_OUTPUT`
    `static int` | `DFT_ROWS`
    `static int` | `DFT_SCALE`
    `static int` | `FILLED`
    `static int` | `FLAGS_EXPAND_SAME_NAMES`
    `static int` | `FLAGS_MAPPING`
    `static int` | `FLAGS_NONE`
    `static int` | `FONT_HERSHEY_COMPLEX`
    `static int` | `FONT_HERSHEY_COMPLEX_SMALL`
    `static int` | `FONT_HERSHEY_DUPLEX`
    `static int` | `FONT_HERSHEY_PLAIN`
    `static int` | `FONT_HERSHEY_SCRIPT_COMPLEX`
    `static int` | `FONT_HERSHEY_SCRIPT_SIMPLEX`
    `static int` | `FONT_HERSHEY_SIMPLEX`
    `static int` | `FONT_HERSHEY_TRIPLEX`
    `static int` | `FONT_ITALIC`
    `static int` | `GEMM_1_T`
    `static int` | `GEMM_2_T`
    `static int` | `GEMM_3_T`
    `static int` | `GpuApiCallError`
    `static int` | `GpuNotSupported`
    `static int` | `HeaderIsNull`
    `static int` | `IMPL_IPP`
    `static int` | `IMPL_OPENCL`
    `static int` | `IMPL_PLAIN`
    `static int` | `KMEANS_PP_CENTERS`
    `static int` | `KMEANS_RANDOM_CENTERS`
    `static int` | `KMEANS_USE_INITIAL_LABELS`
    `static int` | `LINE_4`
    `static int` | `LINE_8`
    `static int` | `LINE_AA`
    `static int` | `MaskIsTiled`
    `static java.lang.String` | `NATIVE_LIBRARY_NAME`
    `static int` | `NORM_HAMMING`
    `static int` | `NORM_HAMMING2`
    `static int` | `NORM_INF`
    `static int` | `NORM_L1`
    `static int` | `NORM_L2`
    `static int` | `NORM_L2SQR`
    `static int` | `NORM_MINMAX`
    `static int` | `NORM_RELATIVE`
    `static int` | `NORM_TYPE_MASK`
    `static int` | `OpenCLApiCallError`
    `static int` | `OpenCLDoubleNotSupported`
    `static int` | `OpenCLInitError`
    `static int` | `OpenCLNoAMDBlasFft`
    `static int` | `OpenGlApiCallError`
    `static int` | `OpenGlNotSupported`
    `static int` | `REDUCE_AVG`
    `static int` | `REDUCE_MAX`
    `static int` | `REDUCE_MIN`
    `static int` | `REDUCE_SUM`
    `static int` | `ROTATE_180`
    `static int` | `ROTATE_90_CLOCKWISE`
    `static int` | `ROTATE_90_COUNTERCLOCKWISE`
    `static int` | `SORT_ASCENDING`
    `static int` | `SORT_DESCENDING`
    `static int` | `SORT_EVERY_COLUMN`
    `static int` | `SORT_EVERY_ROW`
    `static int` | `StsAssert`
    `static int` | `StsAutoTrace`
    `static int` | `StsBackTrace`
    `static int` | `StsBadArg`
    `static int` | `StsBadFlag`
    `static int` | `StsBadFunc`
    `static int` | `StsBadMask`
    `static int` | `StsBadMemBlock`
    `static int` | `StsBadPoint`
    `static int` | `StsBadSize`
    `static int` | `StsDivByZero`
    `static int` | `StsError`
    `static int` | `StsFilterOffsetErr`
    `static int` | `StsFilterStructContentErr`
    `static int` | `StsInplaceNotSupported`
    `static int` | `StsInternal`
    `static int` | `StsKernelStructContentErr`
    `static int` | `StsNoConv`
    `static int` | `StsNoMem`
    `static int` | `StsNotImplemented`
    `static int` | `StsNullPtr`
    `static int` | `StsObjectNotFound`
    `static int` | `StsOk`
    `static int` | `StsOutOfRange`
    `static int` | `StsParseError`
    `static int` | `StsUnmatchedFormats`
    `static int` | `StsUnmatchedSizes`
    `static int` | `StsUnsupportedFormat`
    `static int` | `StsVecLengthErr`
    `static int` | `SVD_FULL_UV`
    `static int` | `SVD_MODIFY_A`
    `static int` | `SVD_NO_UV`
    `static int` | `TYPE_FUN`
    `static int` | `TYPE_GENERAL`
    `static int` | `TYPE_MARKER`
    `static int` | `TYPE_WRAPPER`
    `static java.lang.String` | `VERSION`
    `static int` | `VERSION_MAJOR`
    `static int` | `VERSION_MINOR`
    `static int` | `VERSION_REVISION`
    `static java.lang.String` | `VERSION_STATUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Core()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `absdiff(Mat src1, Mat src2, Mat dst)`
    `static void` | `absdiff(Mat src1, Scalar src2, Mat dst)`
    `static void` | `add(Mat src1, Mat src2, Mat dst)`
    `static void` | `add(Mat src1, Mat src2, Mat dst, Mat mask)`
    `static void` | `add(Mat src1, Mat src2, Mat dst, Mat mask, int dtype)`
    `static void` | `add(Mat src1, Scalar src2, Mat dst)`
    `static void` | `add(Mat src1, Scalar src2, Mat dst, Mat mask)`
    `static void` | `add(Mat src1, Scalar src2, Mat dst, Mat mask, int dtype)`
    `static void` | `addWeighted(Mat src1, double alpha, Mat src2, double beta, double gamma, Mat dst)`
    `static void` | `addWeighted(Mat src1, double alpha, Mat src2, double beta, double gamma, Mat dst, int dtype)`
    `static void` | `batchDistance(Mat src1, Mat src2, Mat dist, int dtype, Mat nidx)`
    `static void` | `batchDistance(Mat src1, Mat src2, Mat dist, int dtype, Mat nidx, int normType)`
    `static void` | `batchDistance(Mat src1, Mat src2, Mat dist, int dtype, Mat nidx, int normType, int K)`
    `static void` | `batchDistance(Mat src1, Mat src2, Mat dist, int dtype, Mat nidx, int normType, int K, Mat mask)`
    `static void` | `batchDistance(Mat src1, Mat src2, Mat dist, int dtype, Mat nidx, int normType, int K, Mat mask, int update)`
    `static void` | `batchDistance(Mat src1, Mat src2, Mat dist, int dtype, Mat nidx, int normType, int K, Mat mask, int update, boolean crosscheck)`
    `static void` | `bitwise_and(Mat src1, Mat src2, Mat dst)`
    `static void` | `bitwise_and(Mat src1, Mat src2, Mat dst, Mat mask)`
    `static void` | `bitwise_not(Mat src, Mat dst)`
    `static void` | `bitwise_not(Mat src, Mat dst, Mat mask)`
    `static void` | `bitwise_or(Mat src1, Mat src2, Mat dst)`
    `static void` | `bitwise_or(Mat src1, Mat src2, Mat dst, Mat mask)`
    `static void` | `bitwise_xor(Mat src1, Mat src2, Mat dst)`
    `static void` | `bitwise_xor(Mat src1, Mat src2, Mat dst, Mat mask)`
    `static int` | `borderInterpolate(int p, int len, int borderType)`
    `static void` | `calcCovarMatrix(Mat samples, Mat covar, Mat mean, int flags)`
    `static void` | `calcCovarMatrix(Mat samples, Mat covar, Mat mean, int flags, int ctype)`
    `static void` | `cartToPolar(Mat x, Mat y, Mat magnitude, Mat angle)`
    `static void` | `cartToPolar(Mat x, Mat y, Mat magnitude, Mat angle, boolean angleInDegrees)`
    `static boolean` | `checkRange(Mat a)`
    `static boolean` | `checkRange(Mat a, boolean quiet)`
    `static boolean` | `checkRange(Mat a, boolean quiet, double minVal)`
    `static boolean` | `checkRange(Mat a, boolean quiet, double minVal, double maxVal)`
    `static void` | `compare(Mat src1, Mat src2, Mat dst, int cmpop)`
    `static void` | `compare(Mat src1, Scalar src2, Mat dst, int cmpop)`
    `static void` | `completeSymm(Mat m)`
    `static void` | `completeSymm(Mat m, boolean lowerToUpper)`
    `static void` | `convertFp16(Mat src, Mat dst)`
    `static void` | `convertScaleAbs(Mat src, Mat dst)`
    `static void` | `convertScaleAbs(Mat src, Mat dst, double alpha)`
    `static void` | `convertScaleAbs(Mat src, Mat dst, double alpha, double beta)`
    `static void` | `copyMakeBorder(Mat src, Mat dst, int top, int bottom, int left, int right, int borderType)`
    `static void` | `copyMakeBorder(Mat src, Mat dst, int top, int bottom, int left, int right, int borderType, Scalar value)`
    `static int` | `countNonZero(Mat src)`
    `static float` | `cubeRoot(float val)`
    `static void` | `dct(Mat src, Mat dst)`
    `static void` | `dct(Mat src, Mat dst, int flags)`
    `static double` | `determinant(Mat mtx)`
    `static void` | `dft(Mat src, Mat dst)`
    `static void` | `dft(Mat src, Mat dst, int flags)`
    `static void` | `dft(Mat src, Mat dst, int flags, int nonzeroRows)`
    `static void` | `divide(double scale, Mat src2, Mat dst)`
    `static void` | `divide(double scale, Mat src2, Mat dst, int dtype)`
    `static void` | `divide(Mat src1, Mat src2, Mat dst)`
    `static void` | `divide(Mat src1, Mat src2, Mat dst, double scale)`
    `static void` | `divide(Mat src1, Mat src2, Mat dst, double scale, int dtype)`
    `static void` | `divide(Mat src1, Scalar src2, Mat dst)`
    `static void` | `divide(Mat src1, Scalar src2, Mat dst, double scale)`
    `static void` | `divide(Mat src1, Scalar src2, Mat dst, double scale, int dtype)`
    `static boolean` | `eigen(Mat src, Mat eigenvalues)`
    `static boolean` | `eigen(Mat src, Mat eigenvalues, Mat eigenvectors)`
    `static void` | `eigenNonSymmetric(Mat src, Mat eigenvalues, Mat eigenvectors)`
    `static void` | `exp(Mat src, Mat dst)`
    `static void` | `extractChannel(Mat src, Mat dst, int coi)`
    `static float` | `fastAtan2(float y, float x)`
    `static void` | `findNonZero(Mat src, Mat idx)`
    `static void` | `flip(Mat src, Mat dst, int flipCode)`
    `static void` | `gemm(Mat src1, Mat src2, double alpha, Mat src3, double beta, Mat dst)`
    `static void` | `gemm(Mat src1, Mat src2, double alpha, Mat src3, double beta, Mat dst, int flags)`
    `static java.lang.String` | `getBuildInformation()`
    `static long` | `getCPUTickCount()`
    `static java.lang.String` | `getHardwareFeatureName(int feature)`
    `static java.lang.String` | `getIppVersion()`
    `static int` | `getNumberOfCPUs()`
    `static int` | `getNumThreads()`
    `static int` | `getOptimalDFTSize(int vecsize)`
    `static int` | `getThreadNum()` Deprecated.
    `static long` | `getTickCount()`
    `static double` | `getTickFrequency()`
    `static int` | `getVersionMajor()`
    `static int` | `getVersionMinor()`
    `static int` | `getVersionRevision()`
    `static java.lang.String` | `getVersionString()`
    `static void` | `hconcat(java.util.List<Mat> src, Mat dst)`
    `static void` | `idct(Mat src, Mat dst)`
    `static void` | `idct(Mat src, Mat dst, int flags)`
    `static void` | `idft(Mat src, Mat dst)`
    `static void` | `idft(Mat src, Mat dst, int flags)`
    `static void` | `idft(Mat src, Mat dst, int flags, int nonzeroRows)`
    `static void` | `inRange(Mat src, Scalar lowerb, Scalar upperb, Mat dst)`
    `static void` | `insertChannel(Mat src, Mat dst, int coi)`
    `static double` | `invert(Mat src, Mat dst)`
    `static double` | `invert(Mat src, Mat dst, int flags)`
    `static double` | `kmeans(Mat data, int K, Mat bestLabels, TermCriteria criteria, int attempts, int flags)`
    `static double` | `kmeans(Mat data, int K, Mat bestLabels, TermCriteria criteria, int attempts, int flags, Mat centers)`
    `static void` | `log(Mat src, Mat dst)`
    `static void` | `LUT(Mat src, Mat lut, Mat dst)`
    `static void` | `magnitude(Mat x, Mat y, Mat magnitude)`
    `static double` | `Mahalanobis(Mat v1, Mat v2, Mat icovar)`
    `static void` | `max(Mat src1, Mat src2, Mat dst)`
    `static void` | `max(Mat src1, Scalar src2, Mat dst)`
    `static Scalar` | `mean(Mat src)`
    `static Scalar` | `mean(Mat src, Mat mask)`
    `static void` | `meanStdDev(Mat src, MatOfDouble mean, MatOfDouble stddev)`
    `static void` | `meanStdDev(Mat src, MatOfDouble mean, MatOfDouble stddev, Mat mask)`
    `static void` | `merge(java.util.List<Mat> mv, Mat dst)`
    `static void` | `min(Mat src1, Mat src2, Mat dst)`
    `static void` | `min(Mat src1, Scalar src2, Mat dst)`
    `static Core.MinMaxLocResult` | `minMaxLoc(Mat src)`
    `static Core.MinMaxLocResult` | `minMaxLoc(Mat src, Mat mask)`
    `static void` | `mixChannels(java.util.List<Mat> src, java.util.List<Mat> dst, MatOfInt fromTo)`
    `static void` | `mulSpectrums(Mat a, Mat b, Mat c, int flags)`
    `static void` | `mulSpectrums(Mat a, Mat b, Mat c, int flags, boolean conjB)`
    `static void` | `multiply(Mat src1, Mat src2, Mat dst)`
    `static void` | `multiply(Mat src1, Mat src2, Mat dst, double scale)`
    `static void` | `multiply(Mat src1, Mat src2, Mat dst, double scale, int dtype)`
    `static void` | `multiply(Mat src1, Scalar src2, Mat dst)`
    `static void` | `multiply(Mat src1, Scalar src2, Mat dst, double scale)`
    `static void` | `multiply(Mat src1, Scalar src2, Mat dst, double scale, int dtype)`
    `static void` | `mulTransposed(Mat src, Mat dst, boolean aTa)`
    `static void` | `mulTransposed(Mat src, Mat dst, boolean aTa, Mat delta)`
    `static void` | `mulTransposed(Mat src, Mat dst, boolean aTa, Mat delta, double scale)`
    `static void` | `mulTransposed(Mat src, Mat dst, boolean aTa, Mat delta, double scale, int dtype)`
    `static double` | `norm(Mat src1)`
    `static double` | `norm(Mat src1, int normType)`
    `static double` | `norm(Mat src1, int normType, Mat mask)`
    `static double` | `norm(Mat src1, Mat src2)`
    `static double` | `norm(Mat src1, Mat src2, int normType)`
    `static double` | `norm(Mat src1, Mat src2, int normType, Mat mask)`
    `static void` | `normalize(Mat src, Mat dst)`
    `static void` | `normalize(Mat src, Mat dst, double alpha)`
    `static void` | `normalize(Mat src, Mat dst, double alpha, double beta)`
    `static void` | `normalize(Mat src, Mat dst, double alpha, double beta, int norm_type)`
    `static void` | `normalize(Mat src, Mat dst, double alpha, double beta, int norm_type, int dtype)`
    `static void` | `normalize(Mat src, Mat dst, double alpha, double beta, int norm_type, int dtype, Mat mask)`
    `static void` | `patchNaNs(Mat a)`
    `static void` | `patchNaNs(Mat a, double val)`
    `static void` | `PCABackProject(Mat data, Mat mean, Mat eigenvectors, Mat result)`
    `static void` | `PCACompute(Mat data, Mat mean, Mat eigenvectors)`
    `static void` | `PCACompute(Mat data, Mat mean, Mat eigenvectors, double retainedVariance)`
    `static void` | `PCACompute(Mat data, Mat mean, Mat eigenvectors, int maxComponents)`
    `static void` | `PCACompute2(Mat data, Mat mean, Mat eigenvectors, Mat eigenvalues)`
    `static void` | `PCACompute2(Mat data, Mat mean, Mat eigenvectors, Mat eigenvalues, double retainedVariance)`
    `static void` | `PCACompute2(Mat data, Mat mean, Mat eigenvectors, Mat eigenvalues, int maxComponents)`
    `static void` | `PCAProject(Mat data, Mat mean, Mat eigenvectors, Mat result)`
    `static void` | `perspectiveTransform(Mat src, Mat dst, Mat m)`
    `static void` | `phase(Mat x, Mat y, Mat angle)`
    `static void` | `phase(Mat x, Mat y, Mat angle, boolean angleInDegrees)`
    `static void` | `polarToCart(Mat magnitude, Mat angle, Mat x, Mat y)`
    `static void` | `polarToCart(Mat magnitude, Mat angle, Mat x, Mat y, boolean angleInDegrees)`
    `static void` | `pow(Mat src, double power, Mat dst)`
    `static double` | `PSNR(Mat src1, Mat src2)`
    `static void` | `randn(Mat dst, double mean, double stddev)`
    `static void` | `randShuffle(Mat dst)`
    `static void` | `randShuffle(Mat dst, double iterFactor)`
    `static void` | `randu(Mat dst, double low, double high)`
    `static void` | `reduce(Mat src, Mat dst, int dim, int rtype)`
    `static void` | `reduce(Mat src, Mat dst, int dim, int rtype, int dtype)`
    `static void` | `repeat(Mat src, int ny, int nx, Mat dst)`
    `static void` | `rotate(Mat src, Mat dst, int rotateCode)`
    `static void` | `scaleAdd(Mat src1, double alpha, Mat src2, Mat dst)`
    `static void` | `setErrorVerbosity(boolean verbose)`
    `static void` | `setIdentity(Mat mtx)`
    `static void` | `setIdentity(Mat mtx, Scalar s)`
    `static void` | `setNumThreads(int nthreads)`
    `static void` | `setRNGSeed(int seed)`
    `static void` | `setUseIPP_NE(boolean flag)`
    `static void` | `setUseIPP(boolean flag)`
    `static boolean` | `solve(Mat src1, Mat src2, Mat dst)`
    `static boolean` | `solve(Mat src1, Mat src2, Mat dst, int flags)`
    `static int` | `solveCubic(Mat coeffs, Mat roots)`
    `static double` | `solvePoly(Mat coeffs, Mat roots)`
    `static double` | `solvePoly(Mat coeffs, Mat roots, int maxIters)`
    `static void` | `sort(Mat src, Mat dst, int flags)`
    `static void` | `sortIdx(Mat src, Mat dst, int flags)`
    `static void` | `split(Mat m, java.util.List<Mat> mv)`
    `static void` | `sqrt(Mat src, Mat dst)`
    `static void` | `subtract(Mat src1, Mat src2, Mat dst)`
    `static void` | `subtract(Mat src1, Mat src2, Mat dst, Mat mask)`
    `static void` | `subtract(Mat src1, Mat src2, Mat dst, Mat mask, int dtype)`
    `static void` | `subtract(Mat src1, Scalar src2, Mat dst)`
    `static void` | `subtract(Mat src1, Scalar src2, Mat dst, Mat mask)`
    `static void` | `subtract(Mat src1, Scalar src2, Mat dst, Mat mask, int dtype)`
    `static Scalar` | `sumElems(Mat src)`
    `static void` | `SVBackSubst(Mat w, Mat u, Mat vt, Mat rhs, Mat dst)`
    `static void` | `SVDecomp(Mat src, Mat w, Mat u, Mat vt)`
    `static void` | `SVDecomp(Mat src, Mat w, Mat u, Mat vt, int flags)`
    `static Scalar` | `trace(Mat mtx)`
    `static void` | `transform(Mat src, Mat dst, Mat m)`
    `static void` | `transpose(Mat src, Mat dst)`
    `static boolean` | `useIPP_NE()`
    `static boolean` | `useIPP()`
    `static void` | `vconcat(java.util.List<Mat> src, Mat dst)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final java.lang.String VERSION

    - #### NATIVE_LIBRARY_NAME

          public static final java.lang.String NATIVE_LIBRARY_NAME

    - #### VERSION_MAJOR

          public static final int VERSION_MAJOR

    - #### VERSION_MINOR

          public static final int VERSION_MINOR

    - #### VERSION_REVISION

          public static final int VERSION_REVISION

    - #### VERSION_STATUS

          public static final java.lang.String VERSION_STATUS

    - #### SVD_MODIFY_A

          public static final int SVD_MODIFY_A

      See Also:
        Constant Field Values

    - #### SVD_NO_UV

          public static final int SVD_NO_UV

      See Also:
        Constant Field Values

    - #### SVD_FULL_UV

          public static final int SVD_FULL_UV

      See Also:
        Constant Field Values

    - #### FILLED

          public static final int FILLED

      See Also:
        Constant Field Values

    - #### REDUCE_SUM

          public static final int REDUCE_SUM

      See Also:
        Constant Field Values

    - #### REDUCE_AVG

          public static final int REDUCE_AVG

      See Also:
        Constant Field Values

    - #### REDUCE_MAX

          public static final int REDUCE_MAX

      See Also:
        Constant Field Values

    - #### REDUCE_MIN

          public static final int REDUCE_MIN

      See Also:
        Constant Field Values

    - #### StsOk

          public static final int StsOk

      See Also:
        Constant Field Values

    - #### StsBackTrace

          public static final int StsBackTrace

      See Also:
        Constant Field Values

    - #### StsError

          public static final int StsError

      See Also:
        Constant Field Values

    - #### StsInternal

          public static final int StsInternal

      See Also:
        Constant Field Values

    - #### StsNoMem

          public static final int StsNoMem

      See Also:
        Constant Field Values

    - #### StsBadArg

          public static final int StsBadArg

      See Also:
        Constant Field Values

    - #### StsBadFunc

          public static final int StsBadFunc

      See Also:
        Constant Field Values

    - #### StsNoConv

          public static final int StsNoConv

      See Also:
        Constant Field Values

    - #### StsAutoTrace

          public static final int StsAutoTrace

      See Also:
        Constant Field Values

    - #### HeaderIsNull

          public static final int HeaderIsNull

      See Also:
        Constant Field Values

    - #### BadImageSize

          public static final int BadImageSize

      See Also:
        Constant Field Values

    - #### BadOffset

          public static final int BadOffset

      See Also:
        Constant Field Values

    - #### BadDataPtr

          public static final int BadDataPtr

      See Also:
        Constant Field Values

    - #### BadStep

          public static final int BadStep

      See Also:
        Constant Field Values

    - #### BadModelOrChSeq

          public static final int BadModelOrChSeq

      See Also:
        Constant Field Values

    - #### BadNumChannels

          public static final int BadNumChannels

      See Also:
        Constant Field Values

    - #### BadNumChannel1U

          public static final int BadNumChannel1U

      See Also:
        Constant Field Values

    - #### BadDepth

          public static final int BadDepth

      See Also:
        Constant Field Values

    - #### BadAlphaChannel

          public static final int BadAlphaChannel

      See Also:
        Constant Field Values

    - #### BadOrder

          public static final int BadOrder

      See Also:
        Constant Field Values

    - #### BadOrigin

          public static final int BadOrigin

      See Also:
        Constant Field Values

    - #### BadAlign

          public static final int BadAlign

      See Also:
        Constant Field Values

    - #### BadCallBack

          public static final int BadCallBack

      See Also:
        Constant Field Values

    - #### BadTileSize

          public static final int BadTileSize

      See Also:
        Constant Field Values

    - #### BadCOI

          public static final int BadCOI

      See Also:
        Constant Field Values

    - #### BadROISize

          public static final int BadROISize

      See Also:
        Constant Field Values

    - #### MaskIsTiled

          public static final int MaskIsTiled

      See Also:
        Constant Field Values

    - #### StsNullPtr

          public static final int StsNullPtr

      See Also:
        Constant Field Values

    - #### StsVecLengthErr

          public static final int StsVecLengthErr

      See Also:
        Constant Field Values

    - #### StsFilterStructContentErr

          public static final int StsFilterStructContentErr

      See Also:
        Constant Field Values

    - #### StsKernelStructContentErr

          public static final int StsKernelStructContentErr

      See Also:
        Constant Field Values

    - #### StsFilterOffsetErr

          public static final int StsFilterOffsetErr

      See Also:
        Constant Field Values

    - #### StsBadSize

          public static final int StsBadSize

      See Also:
        Constant Field Values

    - #### StsDivByZero

          public static final int StsDivByZero

      See Also:
        Constant Field Values

    - #### StsInplaceNotSupported

          public static final int StsInplaceNotSupported

      See Also:
        Constant Field Values

    - #### StsObjectNotFound

          public static final int StsObjectNotFound

      See Also:
        Constant Field Values

    - #### StsUnmatchedFormats

          public static final int StsUnmatchedFormats

      See Also:
        Constant Field Values

    - #### StsBadFlag

          public static final int StsBadFlag

      See Also:
        Constant Field Values

    - #### StsBadPoint

          public static final int StsBadPoint

      See Also:
        Constant Field Values

    - #### StsBadMask

          public static final int StsBadMask

      See Also:
        Constant Field Values

    - #### StsUnmatchedSizes

          public static final int StsUnmatchedSizes

      See Also:
        Constant Field Values

    - #### StsUnsupportedFormat

          public static final int StsUnsupportedFormat

      See Also:
        Constant Field Values

    - #### StsOutOfRange

          public static final int StsOutOfRange

      See Also:
        Constant Field Values

    - #### StsParseError

          public static final int StsParseError

      See Also:
        Constant Field Values

    - #### StsNotImplemented

          public static final int StsNotImplemented

      See Also:
        Constant Field Values

    - #### StsBadMemBlock

          public static final int StsBadMemBlock

      See Also:
        Constant Field Values

    - #### StsAssert

          public static final int StsAssert

      See Also:
        Constant Field Values

    - #### GpuNotSupported

          public static final int GpuNotSupported

      See Also:
        Constant Field Values

    - #### GpuApiCallError

          public static final int GpuApiCallError

      See Also:
        Constant Field Values

    - #### OpenGlNotSupported

          public static final int OpenGlNotSupported

      See Also:
        Constant Field Values

    - #### OpenGlApiCallError

          public static final int OpenGlApiCallError

      See Also:
        Constant Field Values

    - #### OpenCLApiCallError

          public static final int OpenCLApiCallError

      See Also:
        Constant Field Values

    - #### OpenCLDoubleNotSupported

          public static final int OpenCLDoubleNotSupported

      See Also:
        Constant Field Values

    - #### OpenCLInitError

          public static final int OpenCLInitError

      See Also:
        Constant Field Values

    - #### OpenCLNoAMDBlasFft

          public static final int OpenCLNoAMDBlasFft

      See Also:
        Constant Field Values

    - #### DECOMP_LU

          public static final int DECOMP_LU

      See Also:
        Constant Field Values

    - #### DECOMP_SVD

          public static final int DECOMP_SVD

      See Also:
        Constant Field Values

    - #### DECOMP_EIG

          public static final int DECOMP_EIG

      See Also:
        Constant Field Values

    - #### DECOMP_CHOLESKY

          public static final int DECOMP_CHOLESKY

      See Also:
        Constant Field Values

    - #### DECOMP_QR

          public static final int DECOMP_QR

      See Also:
        Constant Field Values

    - #### DECOMP_NORMAL

          public static final int DECOMP_NORMAL

      See Also:
        Constant Field Values

    - #### NORM_INF

          public static final int NORM_INF

      See Also:
        Constant Field Values

    - #### NORM_L1

          public static final int NORM_L1

      See Also:
        Constant Field Values

    - #### NORM_L2

          public static final int NORM_L2

      See Also:
        Constant Field Values

    - #### NORM_L2SQR

          public static final int NORM_L2SQR

      See Also:
        Constant Field Values

    - #### NORM_HAMMING

          public static final int NORM_HAMMING

      See Also:
        Constant Field Values

    - #### NORM_HAMMING2

          public static final int NORM_HAMMING2

      See Also:
        Constant Field Values

    - #### NORM_TYPE_MASK

          public static final int NORM_TYPE_MASK

      See Also:
        Constant Field Values

    - #### NORM_RELATIVE

          public static final int NORM_RELATIVE

      See Also:
        Constant Field Values

    - #### NORM_MINMAX

          public static final int NORM_MINMAX

      See Also:
        Constant Field Values

    - #### CMP_EQ

          public static final int CMP_EQ

      See Also:
        Constant Field Values

    - #### CMP_GT

          public static final int CMP_GT

      See Also:
        Constant Field Values

    - #### CMP_GE

          public static final int CMP_GE

      See Also:
        Constant Field Values

    - #### CMP_LT

          public static final int CMP_LT

      See Also:
        Constant Field Values

    - #### CMP_LE

          public static final int CMP_LE

      See Also:
        Constant Field Values

    - #### CMP_NE

          public static final int CMP_NE

      See Also:
        Constant Field Values

    - #### GEMM_1_T

          public static final int GEMM_1_T

      See Also:
        Constant Field Values

    - #### GEMM_2_T

          public static final int GEMM_2_T

      See Also:
        Constant Field Values

    - #### GEMM_3_T

          public static final int GEMM_3_T

      See Also:
        Constant Field Values

    - #### DFT_INVERSE

          public static final int DFT_INVERSE

      See Also:
        Constant Field Values

    - #### DFT_SCALE

          public static final int DFT_SCALE

      See Also:
        Constant Field Values

    - #### DFT_ROWS

          public static final int DFT_ROWS

      See Also:
        Constant Field Values

    - #### DFT_COMPLEX_OUTPUT

          public static final int DFT_COMPLEX_OUTPUT

      See Also:
        Constant Field Values

    - #### DFT_REAL_OUTPUT

          public static final int DFT_REAL_OUTPUT

      See Also:
        Constant Field Values

    - #### DFT_COMPLEX_INPUT

          public static final int DFT_COMPLEX_INPUT

      See Also:
        Constant Field Values

    - #### DCT_INVERSE

          public static final int DCT_INVERSE

      See Also:
        Constant Field Values

    - #### DCT_ROWS

          public static final int DCT_ROWS

      See Also:
        Constant Field Values

    - #### BORDER_CONSTANT

          public static final int BORDER_CONSTANT

      See Also:
        Constant Field Values

    - #### BORDER_REPLICATE

          public static final int BORDER_REPLICATE

      See Also:
        Constant Field Values

    - #### BORDER_REFLECT

          public static final int BORDER_REFLECT

      See Also:
        Constant Field Values

    - #### BORDER_WRAP

          public static final int BORDER_WRAP

      See Also:
        Constant Field Values

    - #### BORDER_REFLECT_101

          public static final int BORDER_REFLECT_101

      See Also:
        Constant Field Values

    - #### BORDER_TRANSPARENT

          public static final int BORDER_TRANSPARENT

      See Also:
        Constant Field Values

    - #### BORDER_REFLECT101

          public static final int BORDER_REFLECT101

      See Also:
        Constant Field Values

    - #### BORDER_DEFAULT

          public static final int BORDER_DEFAULT

      See Also:
        Constant Field Values

    - #### BORDER_ISOLATED

          public static final int BORDER_ISOLATED

      See Also:
        Constant Field Values

    - #### SORT_EVERY_ROW

          public static final int SORT_EVERY_ROW

      See Also:
        Constant Field Values

    - #### SORT_EVERY_COLUMN

          public static final int SORT_EVERY_COLUMN

      See Also:
        Constant Field Values

    - #### SORT_ASCENDING

          public static final int SORT_ASCENDING

      See Also:
        Constant Field Values

    - #### SORT_DESCENDING

          public static final int SORT_DESCENDING

      See Also:
        Constant Field Values

    - #### COVAR_SCRAMBLED

          public static final int COVAR_SCRAMBLED

      See Also:
        Constant Field Values

    - #### COVAR_NORMAL

          public static final int COVAR_NORMAL

      See Also:
        Constant Field Values

    - #### COVAR_USE_AVG

          public static final int COVAR_USE_AVG

      See Also:
        Constant Field Values

    - #### COVAR_SCALE

          public static final int COVAR_SCALE

      See Also:
        Constant Field Values

    - #### COVAR_ROWS

          public static final int COVAR_ROWS

      See Also:
        Constant Field Values

    - #### COVAR_COLS

          public static final int COVAR_COLS

      See Also:
        Constant Field Values

    - #### KMEANS_RANDOM_CENTERS

          public static final int KMEANS_RANDOM_CENTERS

      See Also:
        Constant Field Values

    - #### KMEANS_PP_CENTERS

          public static final int KMEANS_PP_CENTERS

      See Also:
        Constant Field Values

    - #### KMEANS_USE_INITIAL_LABELS

          public static final int KMEANS_USE_INITIAL_LABELS

      See Also:
        Constant Field Values

    - #### LINE_4

          public static final int LINE_4

      See Also:
        Constant Field Values

    - #### LINE_8

          public static final int LINE_8

      See Also:
        Constant Field Values

    - #### LINE_AA

          public static final int LINE_AA

      See Also:
        Constant Field Values

    - #### FONT_HERSHEY_SIMPLEX

          public static final int FONT_HERSHEY_SIMPLEX

      See Also:
        Constant Field Values

    - #### FONT_HERSHEY_PLAIN

          public static final int FONT_HERSHEY_PLAIN

      See Also:
        Constant Field Values

    - #### FONT_HERSHEY_DUPLEX

          public static final int FONT_HERSHEY_DUPLEX

      See Also:
        Constant Field Values

    - #### FONT_HERSHEY_COMPLEX

          public static final int FONT_HERSHEY_COMPLEX

      See Also:
        Constant Field Values

    - #### FONT_HERSHEY_TRIPLEX

          public static final int FONT_HERSHEY_TRIPLEX

      See Also:
        Constant Field Values

    - #### FONT_HERSHEY_COMPLEX_SMALL

          public static final int FONT_HERSHEY_COMPLEX_SMALL

      See Also:
        Constant Field Values

    - #### FONT_HERSHEY_SCRIPT_SIMPLEX

          public static final int FONT_HERSHEY_SCRIPT_SIMPLEX

      See Also:
        Constant Field Values

    - #### FONT_HERSHEY_SCRIPT_COMPLEX

          public static final int FONT_HERSHEY_SCRIPT_COMPLEX

      See Also:
        Constant Field Values

    - #### FONT_ITALIC

          public static final int FONT_ITALIC

      See Also:
        Constant Field Values

    - #### ROTATE_90_CLOCKWISE

          public static final int ROTATE_90_CLOCKWISE

      See Also:
        Constant Field Values

    - #### ROTATE_180

          public static final int ROTATE_180

      See Also:
        Constant Field Values

    - #### ROTATE_90_COUNTERCLOCKWISE

          public static final int ROTATE_90_COUNTERCLOCKWISE

      See Also:
        Constant Field Values

    - #### TYPE_GENERAL

          public static final int TYPE_GENERAL

      See Also:
        Constant Field Values

    - #### TYPE_MARKER

          public static final int TYPE_MARKER

      See Also:
        Constant Field Values

    - #### TYPE_WRAPPER

          public static final int TYPE_WRAPPER

      See Also:
        Constant Field Values

    - #### TYPE_FUN

          public static final int TYPE_FUN

      See Also:
        Constant Field Values

    - #### IMPL_PLAIN

          public static final int IMPL_PLAIN

      See Also:
        Constant Field Values

    - #### IMPL_IPP

          public static final int IMPL_IPP

      See Also:
        Constant Field Values

    - #### IMPL_OPENCL

          public static final int IMPL_OPENCL

      See Also:
        Constant Field Values

    - #### FLAGS_NONE

          public static final int FLAGS_NONE

      See Also:
        Constant Field Values

    - #### FLAGS_MAPPING

          public static final int FLAGS_MAPPING

      See Also:
        Constant Field Values

    - #### FLAGS_EXPAND_SAME_NAMES

          public static final int FLAGS_EXPAND_SAME_NAMES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Core

          public Core()

  - ### Method Detail

    - #### mean

          public static Scalar mean(Mat src,
                                    Mat mask)

    - #### mean

          public static Scalar mean(Mat src)

    - #### sumElems

          public static Scalar sumElems(Mat src)

    - #### trace

          public static Scalar trace(Mat mtx)

    - #### getBuildInformation

          public static java.lang.String getBuildInformation()

    - #### getHardwareFeatureName

          public static java.lang.String getHardwareFeatureName(int feature)

    - #### getVersionString

          public static java.lang.String getVersionString()

    - #### getIppVersion

          public static java.lang.String getIppVersion()

    - #### checkRange

          public static boolean checkRange(Mat a,
                                           boolean quiet,
                                           double minVal,
                                           double maxVal)

    - #### checkRange

          public static boolean checkRange(Mat a,
                                           boolean quiet,
                                           double minVal)

    - #### checkRange

          public static boolean checkRange(Mat a,
                                           boolean quiet)

    - #### checkRange

          public static boolean checkRange(Mat a)

    - #### eigen

          public static boolean eigen(Mat src,
                                      Mat eigenvalues,
                                      Mat eigenvectors)

    - #### eigen

          public static boolean eigen(Mat src,
                                      Mat eigenvalues)

    - #### solve

          public static boolean solve(Mat src1,
                                      Mat src2,
                                      Mat dst,
                                      int flags)

    - #### solve

          public static boolean solve(Mat src1,
                                      Mat src2,
                                      Mat dst)

    - #### useIPP

          public static boolean useIPP()

    - #### useIPP_NE

          public static boolean useIPP_NE()

    - #### Mahalanobis

          public static double Mahalanobis(Mat v1,
                                           Mat v2,
                                           Mat icovar)

    - #### PSNR

          public static double PSNR(Mat src1,
                                    Mat src2)

    - #### determinant

          public static double determinant(Mat mtx)

    - #### getTickFrequency

          public static double getTickFrequency()

    - #### invert

          public static double invert(Mat src,
                                      Mat dst,
                                      int flags)

    - #### invert

          public static double invert(Mat src,
                                      Mat dst)

    - #### kmeans

          public static double kmeans(Mat data,
                                      int K,
                                      Mat bestLabels,
                                      TermCriteria criteria,
                                      int attempts,
                                      int flags,
                                      Mat centers)

    - #### kmeans

          public static double kmeans(Mat data,
                                      int K,
                                      Mat bestLabels,
                                      TermCriteria criteria,
                                      int attempts,
                                      int flags)

    - #### norm

          public static double norm(Mat src1,
                                    Mat src2,
                                    int normType,
                                    Mat mask)

    - #### norm

          public static double norm(Mat src1,
                                    Mat src2,
                                    int normType)

    - #### norm

          public static double norm(Mat src1,
                                    Mat src2)

    - #### norm

          public static double norm(Mat src1,
                                    int normType,
                                    Mat mask)

    - #### norm

          public static double norm(Mat src1,
                                    int normType)

    - #### norm

          public static double norm(Mat src1)

    - #### solvePoly

          public static double solvePoly(Mat coeffs,
                                         Mat roots,
                                         int maxIters)

    - #### solvePoly

          public static double solvePoly(Mat coeffs,
                                         Mat roots)

    - #### cubeRoot

          public static float cubeRoot(float val)

    - #### fastAtan2

          public static float fastAtan2(float y,
                                        float x)

    - #### borderInterpolate

          public static int borderInterpolate(int p,
                                              int len,
                                              int borderType)

    - #### countNonZero

          public static int countNonZero(Mat src)

    - #### getNumThreads

          public static int getNumThreads()

    - #### getNumberOfCPUs

          public static int getNumberOfCPUs()

    - #### getOptimalDFTSize

          public static int getOptimalDFTSize(int vecsize)

    - #### getThreadNum

          @Deprecated
          public static int getThreadNum()

      Deprecated.

    - #### getVersionMajor

          public static int getVersionMajor()

    - #### getVersionMinor

          public static int getVersionMinor()

    - #### getVersionRevision

          public static int getVersionRevision()

    - #### solveCubic

          public static int solveCubic(Mat coeffs,
                                       Mat roots)

    - #### getCPUTickCount

          public static long getCPUTickCount()

    - #### getTickCount

          public static long getTickCount()

    - #### LUT

          public static void LUT(Mat src,
                                 Mat lut,
                                 Mat dst)

    - #### PCABackProject

          public static void PCABackProject(Mat data,
                                            Mat mean,
                                            Mat eigenvectors,
                                            Mat result)

    - #### PCACompute2

          public static void PCACompute2(Mat data,
                                         Mat mean,
                                         Mat eigenvectors,
                                         Mat eigenvalues,
                                         double retainedVariance)

    - #### PCACompute2

          public static void PCACompute2(Mat data,
                                         Mat mean,
                                         Mat eigenvectors,
                                         Mat eigenvalues,
                                         int maxComponents)

    - #### PCACompute2

          public static void PCACompute2(Mat data,
                                         Mat mean,
                                         Mat eigenvectors,
                                         Mat eigenvalues)

    - #### PCACompute

          public static void PCACompute(Mat data,
                                        Mat mean,
                                        Mat eigenvectors,
                                        double retainedVariance)

    - #### PCACompute

          public static void PCACompute(Mat data,
                                        Mat mean,
                                        Mat eigenvectors,
                                        int maxComponents)

    - #### PCACompute

          public static void PCACompute(Mat data,
                                        Mat mean,
                                        Mat eigenvectors)

    - #### PCAProject

          public static void PCAProject(Mat data,
                                        Mat mean,
                                        Mat eigenvectors,
                                        Mat result)

    - #### SVBackSubst

          public static void SVBackSubst(Mat w,
                                         Mat u,
                                         Mat vt,
                                         Mat rhs,
                                         Mat dst)

    - #### SVDecomp

          public static void SVDecomp(Mat src,
                                      Mat w,
                                      Mat u,
                                      Mat vt,
                                      int flags)

    - #### SVDecomp

          public static void SVDecomp(Mat src,
                                      Mat w,
                                      Mat u,
                                      Mat vt)

    - #### absdiff

          public static void absdiff(Mat src1,
                                     Mat src2,
                                     Mat dst)

    - #### absdiff

          public static void absdiff(Mat src1,
                                     Scalar src2,
                                     Mat dst)

    - #### add

          public static void add(Mat src1,
                                 Mat src2,
                                 Mat dst,
                                 Mat mask,
                                 int dtype)

    - #### add

          public static void add(Mat src1,
                                 Mat src2,
                                 Mat dst,
                                 Mat mask)

    - #### add

          public static void add(Mat src1,
                                 Mat src2,
                                 Mat dst)

    - #### add

          public static void add(Mat src1,
                                 Scalar src2,
                                 Mat dst,
                                 Mat mask,
                                 int dtype)

    - #### add

          public static void add(Mat src1,
                                 Scalar src2,
                                 Mat dst,
                                 Mat mask)

    - #### add

          public static void add(Mat src1,
                                 Scalar src2,
                                 Mat dst)

    - #### addWeighted

          public static void addWeighted(Mat src1,
                                         double alpha,
                                         Mat src2,
                                         double beta,
                                         double gamma,
                                         Mat dst,
                                         int dtype)

    - #### addWeighted

          public static void addWeighted(Mat src1,
                                         double alpha,
                                         Mat src2,
                                         double beta,
                                         double gamma,
                                         Mat dst)

    - #### batchDistance

          public static void batchDistance(Mat src1,
                                           Mat src2,
                                           Mat dist,
                                           int dtype,
                                           Mat nidx,
                                           int normType,
                                           int K,
                                           Mat mask,
                                           int update,
                                           boolean crosscheck)

    - #### batchDistance

          public static void batchDistance(Mat src1,
                                           Mat src2,
                                           Mat dist,
                                           int dtype,
                                           Mat nidx,
                                           int normType,
                                           int K,
                                           Mat mask,
                                           int update)

    - #### batchDistance

          public static void batchDistance(Mat src1,
                                           Mat src2,
                                           Mat dist,
                                           int dtype,
                                           Mat nidx,
                                           int normType,
                                           int K,
                                           Mat mask)

    - #### batchDistance

          public static void batchDistance(Mat src1,
                                           Mat src2,
                                           Mat dist,
                                           int dtype,
                                           Mat nidx,
                                           int normType,
                                           int K)

    - #### batchDistance

          public static void batchDistance(Mat src1,
                                           Mat src2,
                                           Mat dist,
                                           int dtype,
                                           Mat nidx,
                                           int normType)

    - #### batchDistance

          public static void batchDistance(Mat src1,
                                           Mat src2,
                                           Mat dist,
                                           int dtype,
                                           Mat nidx)

    - #### bitwise_and

          public static void bitwise_and(Mat src1,
                                         Mat src2,
                                         Mat dst,
                                         Mat mask)

    - #### bitwise_and

          public static void bitwise_and(Mat src1,
                                         Mat src2,
                                         Mat dst)

    - #### bitwise_not

          public static void bitwise_not(Mat src,
                                         Mat dst,
                                         Mat mask)

    - #### bitwise_not

          public static void bitwise_not(Mat src,
                                         Mat dst)

    - #### bitwise_or

          public static void bitwise_or(Mat src1,
                                        Mat src2,
                                        Mat dst,
                                        Mat mask)

    - #### bitwise_or

          public static void bitwise_or(Mat src1,
                                        Mat src2,
                                        Mat dst)

    - #### bitwise_xor

          public static void bitwise_xor(Mat src1,
                                         Mat src2,
                                         Mat dst,
                                         Mat mask)

    - #### bitwise_xor

          public static void bitwise_xor(Mat src1,
                                         Mat src2,
                                         Mat dst)

    - #### calcCovarMatrix

          public static void calcCovarMatrix(Mat samples,
                                             Mat covar,
                                             Mat mean,
                                             int flags,
                                             int ctype)

    - #### calcCovarMatrix

          public static void calcCovarMatrix(Mat samples,
                                             Mat covar,
                                             Mat mean,
                                             int flags)

    - #### cartToPolar

          public static void cartToPolar(Mat x,
                                         Mat y,
                                         Mat magnitude,
                                         Mat angle,
                                         boolean angleInDegrees)

    - #### cartToPolar

          public static void cartToPolar(Mat x,
                                         Mat y,
                                         Mat magnitude,
                                         Mat angle)

    - #### compare

          public static void compare(Mat src1,
                                     Mat src2,
                                     Mat dst,
                                     int cmpop)

    - #### compare

          public static void compare(Mat src1,
                                     Scalar src2,
                                     Mat dst,
                                     int cmpop)

    - #### completeSymm

          public static void completeSymm(Mat m,
                                          boolean lowerToUpper)

    - #### completeSymm

          public static void completeSymm(Mat m)

    - #### convertFp16

          public static void convertFp16(Mat src,
                                         Mat dst)

    - #### convertScaleAbs

          public static void convertScaleAbs(Mat src,
                                             Mat dst,
                                             double alpha,
                                             double beta)

    - #### convertScaleAbs

          public static void convertScaleAbs(Mat src,
                                             Mat dst,
                                             double alpha)

    - #### convertScaleAbs

          public static void convertScaleAbs(Mat src,
                                             Mat dst)

    - #### copyMakeBorder

          public static void copyMakeBorder(Mat src,
                                            Mat dst,
                                            int top,
                                            int bottom,
                                            int left,
                                            int right,
                                            int borderType,
                                            Scalar value)

    - #### copyMakeBorder

          public static void copyMakeBorder(Mat src,
                                            Mat dst,
                                            int top,
                                            int bottom,
                                            int left,
                                            int right,
                                            int borderType)

    - #### dct

          public static void dct(Mat src,
                                 Mat dst,
                                 int flags)

    - #### dct

          public static void dct(Mat src,
                                 Mat dst)

    - #### dft

          public static void dft(Mat src,
                                 Mat dst,
                                 int flags,
                                 int nonzeroRows)

    - #### dft

          public static void dft(Mat src,
                                 Mat dst,
                                 int flags)

    - #### dft

          public static void dft(Mat src,
                                 Mat dst)

    - #### divide

          public static void divide(Mat src1,
                                    Mat src2,
                                    Mat dst,
                                    double scale,
                                    int dtype)

    - #### divide

          public static void divide(Mat src1,
                                    Mat src2,
                                    Mat dst,
                                    double scale)

    - #### divide

          public static void divide(Mat src1,
                                    Mat src2,
                                    Mat dst)

    - #### divide

          public static void divide(Mat src1,
                                    Scalar src2,
                                    Mat dst,
                                    double scale,
                                    int dtype)

    - #### divide

          public static void divide(Mat src1,
                                    Scalar src2,
                                    Mat dst,
                                    double scale)

    - #### divide

          public static void divide(Mat src1,
                                    Scalar src2,
                                    Mat dst)

    - #### divide

          public static void divide(double scale,
                                    Mat src2,
                                    Mat dst,
                                    int dtype)

    - #### divide

          public static void divide(double scale,
                                    Mat src2,
                                    Mat dst)

    - #### eigenNonSymmetric

          public static void eigenNonSymmetric(Mat src,
                                               Mat eigenvalues,
                                               Mat eigenvectors)

    - #### exp

          public static void exp(Mat src,
                                 Mat dst)

    - #### extractChannel

          public static void extractChannel(Mat src,
                                            Mat dst,
                                            int coi)

    - #### findNonZero

          public static void findNonZero(Mat src,
                                         Mat idx)

    - #### flip

          public static void flip(Mat src,
                                  Mat dst,
                                  int flipCode)

    - #### gemm

          public static void gemm(Mat src1,
                                  Mat src2,
                                  double alpha,
                                  Mat src3,
                                  double beta,
                                  Mat dst,
                                  int flags)

    - #### gemm

          public static void gemm(Mat src1,
                                  Mat src2,
                                  double alpha,
                                  Mat src3,
                                  double beta,
                                  Mat dst)

    - #### hconcat

          public static void hconcat(java.util.List<Mat> src,
                                     Mat dst)

    - #### idct

          public static void idct(Mat src,
                                  Mat dst,
                                  int flags)

    - #### idct

          public static void idct(Mat src,
                                  Mat dst)

    - #### idft

          public static void idft(Mat src,
                                  Mat dst,
                                  int flags,
                                  int nonzeroRows)

    - #### idft

          public static void idft(Mat src,
                                  Mat dst,
                                  int flags)

    - #### idft

          public static void idft(Mat src,
                                  Mat dst)

    - #### inRange

          public static void inRange(Mat src,
                                     Scalar lowerb,
                                     Scalar upperb,
                                     Mat dst)

    - #### insertChannel

          public static void insertChannel(Mat src,
                                           Mat dst,
                                           int coi)

    - #### log

          public static void log(Mat src,
                                 Mat dst)

    - #### magnitude

          public static void magnitude(Mat x,
                                       Mat y,
                                       Mat magnitude)

    - #### max

          public static void max(Mat src1,
                                 Mat src2,
                                 Mat dst)

    - #### max

          public static void max(Mat src1,
                                 Scalar src2,
                                 Mat dst)

    - #### meanStdDev

          public static void meanStdDev(Mat src,
                                        MatOfDouble mean,
                                        MatOfDouble stddev,
                                        Mat mask)

    - #### meanStdDev

          public static void meanStdDev(Mat src,
                                        MatOfDouble mean,
                                        MatOfDouble stddev)

    - #### merge

          public static void merge(java.util.List<Mat> mv,
                                   Mat dst)

    - #### min

          public static void min(Mat src1,
                                 Mat src2,
                                 Mat dst)

    - #### min

          public static void min(Mat src1,
                                 Scalar src2,
                                 Mat dst)

    - #### mixChannels

          public static void mixChannels(java.util.List<Mat> src,
                                         java.util.List<Mat> dst,
                                         MatOfInt fromTo)

    - #### mulSpectrums

          public static void mulSpectrums(Mat a,
                                          Mat b,
                                          Mat c,
                                          int flags,
                                          boolean conjB)

    - #### mulSpectrums

          public static void mulSpectrums(Mat a,
                                          Mat b,
                                          Mat c,
                                          int flags)

    - #### mulTransposed

          public static void mulTransposed(Mat src,
                                           Mat dst,
                                           boolean aTa,
                                           Mat delta,
                                           double scale,
                                           int dtype)

    - #### mulTransposed

          public static void mulTransposed(Mat src,
                                           Mat dst,
                                           boolean aTa,
                                           Mat delta,
                                           double scale)

    - #### mulTransposed

          public static void mulTransposed(Mat src,
                                           Mat dst,
                                           boolean aTa,
                                           Mat delta)

    - #### mulTransposed

          public static void mulTransposed(Mat src,
                                           Mat dst,
                                           boolean aTa)

    - #### multiply

          public static void multiply(Mat src1,
                                      Mat src2,
                                      Mat dst,
                                      double scale,
                                      int dtype)

    - #### multiply

          public static void multiply(Mat src1,
                                      Mat src2,
                                      Mat dst,
                                      double scale)

    - #### multiply

          public static void multiply(Mat src1,
                                      Mat src2,
                                      Mat dst)

    - #### multiply

          public static void multiply(Mat src1,
                                      Scalar src2,
                                      Mat dst,
                                      double scale,
                                      int dtype)

    - #### multiply

          public static void multiply(Mat src1,
                                      Scalar src2,
                                      Mat dst,
                                      double scale)

    - #### multiply

          public static void multiply(Mat src1,
                                      Scalar src2,
                                      Mat dst)

    - #### normalize

          public static void normalize(Mat src,
                                       Mat dst,
                                       double alpha,
                                       double beta,
                                       int norm_type,
                                       int dtype,
                                       Mat mask)

    - #### normalize

          public static void normalize(Mat src,
                                       Mat dst,
                                       double alpha,
                                       double beta,
                                       int norm_type,
                                       int dtype)

    - #### normalize

          public static void normalize(Mat src,
                                       Mat dst,
                                       double alpha,
                                       double beta,
                                       int norm_type)

    - #### normalize

          public static void normalize(Mat src,
                                       Mat dst,
                                       double alpha,
                                       double beta)

    - #### normalize

          public static void normalize(Mat src,
                                       Mat dst,
                                       double alpha)

    - #### normalize

          public static void normalize(Mat src,
                                       Mat dst)

    - #### patchNaNs

          public static void patchNaNs(Mat a,
                                       double val)

    - #### patchNaNs

          public static void patchNaNs(Mat a)

    - #### perspectiveTransform

          public static void perspectiveTransform(Mat src,
                                                  Mat dst,
                                                  Mat m)

    - #### phase

          public static void phase(Mat x,
                                   Mat y,
                                   Mat angle,
                                   boolean angleInDegrees)

    - #### phase

          public static void phase(Mat x,
                                   Mat y,
                                   Mat angle)

    - #### polarToCart

          public static void polarToCart(Mat magnitude,
                                         Mat angle,
                                         Mat x,
                                         Mat y,
                                         boolean angleInDegrees)

    - #### polarToCart

          public static void polarToCart(Mat magnitude,
                                         Mat angle,
                                         Mat x,
                                         Mat y)

    - #### pow

          public static void pow(Mat src,
                                 double power,
                                 Mat dst)

    - #### randShuffle

          public static void randShuffle(Mat dst,
                                         double iterFactor)

    - #### randShuffle

          public static void randShuffle(Mat dst)

    - #### randn

          public static void randn(Mat dst,
                                   double mean,
                                   double stddev)

    - #### randu

          public static void randu(Mat dst,
                                   double low,
                                   double high)

    - #### reduce

          public static void reduce(Mat src,
                                    Mat dst,
                                    int dim,
                                    int rtype,
                                    int dtype)

    - #### reduce

          public static void reduce(Mat src,
                                    Mat dst,
                                    int dim,
                                    int rtype)

    - #### repeat

          public static void repeat(Mat src,
                                    int ny,
                                    int nx,
                                    Mat dst)

    - #### rotate

          public static void rotate(Mat src,
                                    Mat dst,
                                    int rotateCode)

    - #### scaleAdd

          public static void scaleAdd(Mat src1,
                                      double alpha,
                                      Mat src2,
                                      Mat dst)

    - #### setErrorVerbosity

          public static void setErrorVerbosity(boolean verbose)

    - #### setIdentity

          public static void setIdentity(Mat mtx,
                                         Scalar s)

    - #### setIdentity

          public static void setIdentity(Mat mtx)

    - #### setNumThreads

          public static void setNumThreads(int nthreads)

    - #### setRNGSeed

          public static void setRNGSeed(int seed)

    - #### sort

          public static void sort(Mat src,
                                  Mat dst,
                                  int flags)

    - #### sortIdx

          public static void sortIdx(Mat src,
                                     Mat dst,
                                     int flags)

    - #### split

          public static void split(Mat m,
                                   java.util.List<Mat> mv)

    - #### sqrt

          public static void sqrt(Mat src,
                                  Mat dst)

    - #### subtract

          public static void subtract(Mat src1,
                                      Mat src2,
                                      Mat dst,
                                      Mat mask,
                                      int dtype)

    - #### subtract

          public static void subtract(Mat src1,
                                      Mat src2,
                                      Mat dst,
                                      Mat mask)

    - #### subtract

          public static void subtract(Mat src1,
                                      Mat src2,
                                      Mat dst)

    - #### subtract

          public static void subtract(Mat src1,
                                      Scalar src2,
                                      Mat dst,
                                      Mat mask,
                                      int dtype)

    - #### subtract

          public static void subtract(Mat src1,
                                      Scalar src2,
                                      Mat dst,
                                      Mat mask)

    - #### subtract

          public static void subtract(Mat src1,
                                      Scalar src2,
                                      Mat dst)

    - #### transform

          public static void transform(Mat src,
                                       Mat dst,
                                       Mat m)

    - #### transpose

          public static void transpose(Mat src,
                                       Mat dst)

    - #### vconcat

          public static void vconcat(java.util.List<Mat> src,
                                     Mat dst)

    - #### setUseIPP

          public static void setUseIPP(boolean flag)

    - #### setUseIPP_NE

          public static void setUseIPP_NE(boolean flag)

    - #### minMaxLoc

          public static Core.MinMaxLocResult minMaxLoc(Mat src,
                                                       Mat mask)

    - #### minMaxLoc

          public static Core.MinMaxLocResult minMaxLoc(Mat src)

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3